Bug ID 532000: Upgrade from 11.3/11.4 fails when DOS profile has high value of Prevention Duration

Last Modified: Mar 21, 2019

Bug Tracker

Affected Product:  See more info
BIG-IP ASM, Install/Upgrade(all modules)

Known Affected Versions:
11.5.0, 11.5.1, 11.5.1 HF1, 11.5.1 HF10, 11.5.1 HF11, 11.5.1 HF2, 11.5.1 HF3, 11.5.1 HF4, 11.5.1 HF5, 11.5.1 HF6, 11.5.1 HF7, 11.5.1 HF8, 11.5.1 HF9, 11.5.2, 11.5.2 HF1, 11.5.3, 11.5.3 HF1, 11.5.3 HF2, 11.5.4, 11.5.4 HF1, 11.5.4 HF2, 11.5.4 HF3, 11.5.4 HF4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.6.0, 11.6.0 HF1, 11.6.0 HF2, 11.6.0 HF3, 11.6.0 HF4, 11.6.0 HF5, 11.6.0 HF6, 11.6.0 HF7, 11.6.0 HF8, 11.6.1, 11.6.1 HF1, 11.6.1 HF2, 11.6.2, 11.6.2 HF1, 11.6.3, 11.6.3.1, 11.6.3.2, 11.6.3.3, 11.6.3.4, 11.6.4

Fixed In:
12.0.0

Opened: Jul 07, 2015
Severity: 3-Major

Symptoms

Upgrading from 11.3 or 11.4 fails if the config has a DOS application profile with a "Prevention Duration" value higher than 3600 or lower than 4.

Impact

Upgrade fails. 010715d5:3: The escalation period in TPS-based anomaly is out of range [1..3600]. Unexpected Error: Loading configuration process failed.

Conditions

Upgrading to 11.5.0 through 11.6.1 from 11.3.x or 11.4.x Configuration before the upgrade had a DOS profile with application enabled and "Prevention Duration" value set to a value higher than 3600 or lower than 4.

Workaround

Set the max-prevention-duration value to the default value of "unlimited" before the upgrade, or within the UCS before installing it (by editing the bigip.conf file within the UCS tarball).

Fix Information

Upgrading from 11.3/11.4 no longer fails when the config had a DOS application profile with "Prevention Duration" value set to a value higher than 3600 or lower than 4.

Behavior Change